%define subrel 1

Name:          jackrabbit
Version:       2.4.2
Release:       %mkrel 6
Summary:       Implementation of the Content Repository for Java Technology API
Group:         Development/Java
License:       ASL 2.0
URL:           http://jackrabbit.apache.org/
Source0:       http://archive.apache.org/dist/%{name}/%{version}/%{name}-%{version}-src.zip
# force tomcat6-servlet-2.5-api apis use
Source1:       jackrabbit-depmap
# build fix for servlet 2.5
Patch0:        0001-Conform-to-newer-servlet-API.patch
# build fix for servlet 3.0
Patch1:        jackrabbit-2.4.2-servlet30.patch
# https://issues.apache.org/jira/secure/attachment/12734388/CVE-2015-1833.patch
Patch2:        CVE-2015-1833.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils
# main deps
# javax.servlet:servlet-api:2.3
BuildRequires: tomcat-servlet-3.0-api
#BuildRequires: mvn(biz.aQute:bndlib)
#BuildRequires: mvn(commons-httpclient:commons-httpclient)
#BuildRequires: mvn(org.slf4j:slf4j-api)
#BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
# test deps
#BuildRequires: junit
#BuildRequires: mvn(ch.qos.logback:logback-classic)

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin

Requires:      java
Requires:      jpackage-utills

%description
The Apache Jackrabbit content repository is a fully conforming implementation 
of the Content Repository for Java Technology API (JCR, specified in JSR 170 
and 283).

A content repository is a hierarchical content store with support for 
structured and unstructured content, full text search, versioning, 
transactions, observation, and more.

%package webdav
Summary:       Jackrabbit WebDAV Library
Group:         Development/Java
Requires:      jpackage-utils
Requires:      java

%description webdav
This is the WebDAV Library component of the Apache Jackrabbit project. This 
component provides interfaces and common utility classes used for building a 
WebDAV server or client.

%package webdav-javadoc
Summary:       Javadoc for %{name}-webdav
Group:         Documentation
Requires:      jpackage-utils

%description webdav-javadoc
This package contains the API documentation for %{name}-webdav.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

# maven-local load in classpath wrong library. also using the file depmap
%pom_remove_dep javax.servlet:servlet-api %{name}-webdav
%pom_xpath_inject "pom:dependencies" "
  <dependency>
    <groupId>javax.servlet</groupId>
    <artifactId>servlet-api</artifactId>
    <version>any</version>
    <scope>system</scope>
    <systemPath>$(build-classpath tomcat-servlet-3.0-api)</systemPath>
  </dependency>" %{name}-webdav
    
%build

cd %{name}-webdav
mvn-rpmbuild -Dmaven.test.skip=true package javadoc:aggregate
#  -Dmaven.local.depmap.file="%%{SOURCE1}"

%install
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -d -m 755 %{buildroot}%{_javadocdir}

install -pm 644 %{name}-webdav/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-webdav.pom
install -pm 644 %{name}-webdav/target/%{name}-webdav-%{version}.jar %{buildroot}%{_javadir}/%{name}-webdav.jar
cp -rp %{name}-webdav/target/site/apidocs %{buildroot}%{_javadocdir}/%{name}-webdav

%add_maven_depmap JPP-%{name}-webdav.pom %{name}-webdav.jar -f webdav

# We don't install the parent POM. Rempove reference to it, so that mvn-rpmbuild works
awk '/<parent>/ {skip=1} {if (!skip) print} /<\/parent>/ {skip=0}' %{name}-webdav/pom.xml \
 >%{buildroot}%{_mavenpomdir}/JPP-%{name}-webdav.pom
touch -r %{name}-webdav/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-webdav.pom

%files webdav
%{_javadir}/%{name}-webdav.jar
%{_mavendepmapfragdir}/%{name}-webdav
%{_mavenpomdir}/JPP-%{name}-webdav.pom
%doc NOTICE.txt LICENSE.txt
%doc %{name}-webdav/README.txt

%files webdav-javadoc
%{_javadocdir}/%{name}-webdav
%doc NOTICE.txt LICENSE.txt



%changelog
* Thu May 21 2015 daviddavid <daviddavid> 2.4.2-6.1.mga4
+ Revision: 822478
- fix CVE-2015-1833 (mga#16003)

* Mon Dec 16 2013 dmorgan <dmorgan> 2.4.2-6.mga4
+ Revision: 557526
- Build with newer tomcat

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.4.2-3.mga3
+ Revision: 354659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Build with java7

* Sat Oct 27 2012 dmorgan <dmorgan> 2.4.2-2.mga3
+ Revision: 310576
- Fix javadoc group ( to sync with fedora)

* Sat Sep 15 2012 dmorgan <dmorgan> 2.4.2-1.mga3
+ Revision: 294014
- New version

* Wed Oct 19 2011 dmorgan <dmorgan> 1.5.7-2.mga2
+ Revision: 156494
- Clean spec file

  + gil <gil>
    - rebuilt with maven3 support
    - imported package jackrabbit

